import BlueTable from '@/components/BlueTable';
import Tabs from '@/components/Tabs';
import { Button, Tag } from 'antd';
import React from 'react';
import styles from './index.less';

/** @name 列表  */
const ListTable: React.FC = () => {
  const dataSource = [];
  const columns = [
    {
      title: '告警发生时间',
      dataIndex: 'startTime',
    },
    {
      title: '设备名称',
      dataIndex: 'title',
    },
    {
      title: '故障类型',
      dataIndex: 'type',
    },
    {
      title: '接单时间',
      dataIndex: 'endTime',
    },
    {
      title: '维护队名称',
      dataIndex: 'whName',
    },
    {
      title: '工单状态',
      dataIndex: 'status',
      render: (text: number) => {
        return (
          <Tag color={text == 1 ? '#87d068' : 'red'}>
            {text ? '已处置' : '处置中'}
          </Tag>
        );
      },
    },
    {
      title: '操作',
      render: () => {
        return (
          <Button
            type="text"
            style={{ color: 'rgb(36, 164, 255)', fontSize: 20 }}
          >
            详情
          </Button>
        );
      },
    },
  ];

  return (
    <div className={styles.container}>
      <Tabs
        items={[
          {
            label: '全部',
            key: '1',
          },
          {
            label: '处置中',
            key: '2',
          },
          {
            label: '已处置',
            key: '3',
          },
        ]}
      />

      <BlueTable
        columns={columns}
        dataSource={dataSource}
        size="large"
        scroll={{ y: 700 }}
        pagination={{
          pageSize: 7,
          total: dataSource.length,
        }}
      ></BlueTable>
    </div>
  );
};

export default ListTable;
